/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   taki@Rivendell   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "cronandatscheduler.h"

#include <klocale.h>
#include <kglobal.h>
#include <KConfigDialog>
#include <KDebug>
#include <QtGui>
#include <QDate>
#include <QTime>

CronAndAtScheduler::CronAndAtScheduler()
{
}


CronAndAtScheduler::~CronAndAtScheduler()
{
}

/**
 * @see KalvaPlugin::PluginInterface
 */
QString CronAndAtScheduler::title()
{
	return i18n("Crontab and At");
}

/**
 * @see KalvaPlugin::PluginInterface
 */
QString CronAndAtScheduler::toolTip()
{
	return i18n("A Scheduler using the unix shell commands crontab and at");
}

/**
 * @see KalvaPlugin::PluginInterface
 */
QString CronAndAtScheduler::whatsThis()
{
	return i18n("A Scheduler using the unix shell commands crontab and at");
}

/**
 * @see KalvaPlugin::PluginInterface
 */
void CronAndAtScheduler::settingsChanged()
{
	kDebug() << "settingsChanged()";
}

/**
 * @see KalvaPlugin::PluginInterface
 */
void CronAndAtScheduler::addToConfigDialog( KConfigDialog *dialog )
{
	kDebug() << "addToConfigDialog(" << dialog << ")";
}

/**
 * 
 */
void CronAndAtScheduler::setDate( QDate date )
{
	kDebug() << "setDate(" << date << ")";
}

/**
 * 
 */
void CronAndAtScheduler::setTime( QTime time )
{
	kDebug() << "setTime(" << time << ")";
}

/**
 *
 */
void CronAndAtScheduler::setDaysOfTheWeek( KalvaData::DaysOfTheWeek * daysOfTheWeek )
{
	kDebug() << "setDaysOfTheWeek(" << daysOfTheWeek << ")";
}

/**
 *
 */
void CronAndAtScheduler::setCommand( KalvaData::KalvaScriptCommand *command )
{
	kDebug() << "setCommand(" << command << ")";
}

/**
 * 
 */
void CronAndAtScheduler::installCommand()
{
	kDebug() << "installCommand()";
}


Q_EXPORT_PLUGIN2( kalva2_cron_and_at_scheduler, CronAndAtScheduler )

#include "cronandatscheduler.moc"
